unofficial mirror of guile-devel@gnu.org 
 help / color / mirror / Atom feed
From: Jeffrey Walton <noloader@gmail.com>
To: guile-devel@gnu.org
Subject: Re: Does Guile honor its configuration options and make flags?
Date: Tue, 24 Oct 2017 11:50:44 -0400	[thread overview]
Message-ID: <CAH8yC8kVzxkNwe4TUpc1ZmVUvoXm0Etdy5gaEa_Y+S0BZg1rrA@mail.gmail.com> (raw)
In-Reply-To: <CAH8yC8=pqb+rcw2Zwbmi170P6h2+yRpCDM7dcSX1GqeYUivNzQ@mail.gmail.com>

On Tue, Oct 24, 2017 at 10:31 AM, Jeffrey Walton <noloader@gmail.com> wrote:
> I'm having trouble with some linking. Guile was configured with
> --with-pic, and its dependent libraries were built with -fPIC. I'm
> building on x86_64, so CFLAGS and CXXFLAGS include "-m64
> -march=native".
> ...
> Here's part of the script I am using to drive things on my side. All
> of the OPT_ array are valid. 30 or so other Autotool projects
> configure fine with them. It feels like Guile is just ignoring what I
> am telling it to do.
>
>     PKG_CONFIG_PATH="${OPT_PKGCONFIG[*]}" \
>     CPPFLAGS="${OPT_CPPFLAGS[*]}" \
>     CFLAGS="${OPT_CFLAGS[*]}" CXXFLAGS="${OPT_CXXFLAGS[*]}" \
>     LDFLAGS="${OPT_LDFLAGS[*]}" LIBS="${OPT_LIBS[*]}" \
> ./configure --prefix="$INSTALL_PREFIX" --libdir="$INSTALL_LIBDIR" \
>     --enable-shared --enable-static --with-pic \
>     --disable-deprecated \
>     --with-libgmp-prefix="$INSTALL_PREFIX" \
>     --with-libunistring-prefix="$INSTALL_PREFIX" \
>     --with-libiconv-prefix="$INSTALL_PREFIX" \
>     --with-libltdl-prefix="$INSTALL_PREFIX" \
>     --with-readline-prefix="$INSTALL_PREFIX" \
>     --with-libintl-prefix="$INSTALL_PREFIX"
>
> if [[ "$?" -ne "0" ]]; then
>     echo "Failed to configure Guile"
>     [[ "$0" = "${BASH_SOURCE[0]}" ]] && exit 1 || return 1
> fi
>
> MAKE_FLAGS=("-j" "$MAKE_JOBS" "V=1")
> if ! "$MAKE" "${MAKE_FLAGS[@]}"
> then
>     echo "Failed to build Guile"
>     [[ "$0" = "${BASH_SOURCE[0]}" ]] && exit 1 || return 1
> fi

Here are the values being used for the arrays:

  PKGCONFIG: /usr/local/lib64/pkgconfig
   CPPFLAGS: -I/usr/local/include -DNDEBUG
     CFLAGS: -m64 -march=native
   CXXFLAGS: -m64 -march=native
    LDFLAGS: -m64 -Wl,-rpath,/usr/local/lib64 -L/usr/local/lib64
-Wl,--enable-new-dtags



      reply	other threads:[~2017-10-24 15:50 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-10-24 14:31 Does Guile honor its configuration options and make flags? Jeffrey Walton
2017-10-24 15:50 ` Jeffrey Walton [this message]

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://www.gnu.org/software/guile/

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=CAH8yC8kVzxkNwe4TUpc1ZmVUvoXm0Etdy5gaEa_Y+S0BZg1rrA@mail.gmail.com \
    --to=noloader@gmail.com \
    --cc=guile-devel@gnu.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).